Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 614800 - dev-perl/HTML-Tree fails install without '.' in @INC (Can't locate inc/My_Build.pm)
Summary: dev-perl/HTML-Tree fails install without '.' in @INC (Can't locate inc/My_Bui...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL: https://rt.cpan.org/Ticket/Display.ht...
Whiteboard: stabilize 5.60.0 after 2017-06-21
Keywords:
Depends on: 622450
Blocks: perl-5.26-no-dot-inc
  Show dependency tree
 
Reported: 2017-04-05 19:18 UTC by Kent Fredric (IRC: kent\n) (RETIRED)
Modified: 2017-08-28 14:43 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) (RETIRED) gentoo-dev 2017-04-05 19:18:29 UTC
* perl Build.PL --installdirs=vendor --libdoc= --destdir=/var/tmp/portage/dev-perl/HTML-Tree-5.30.0-r1/image/ --create_packlist=1
Can't locate inc/My_Build.pm in @INC (you may need to install the inc::My_Build module) (@INC contains: /etc/perl /usr/local/lib64/perl5/5.25.11/x86_64-linux /usr/local/lib64/perl5/5.25.11 /usr/lib64/perl5/vendor_perl/5.25.11/x86_64-linux /usr/lib64/perl5/vendor_perl/5.25.11 /usr/local/lib64/perl5 /usr/lib64/perl5/vendor_perl/5.25.11 /usr/lib64/perl5/vendor_perl/5.22.3 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5/5.25.11/x86_64-linux /usr/lib64/perl5/5.25.11) at Build.PL line 4.
BEGIN failed--compilation aborted at Build.PL line 4.
 * ERROR: dev-perl/HTML-Tree-5.30.0-r1::gentoo failed (configure phase):
 *   Unable to build!
Comment 1 Ettore Di Giacinto (RETIRED) gentoo-dev 2017-04-20 12:57:34 UTC
commit 5b068a3cde897f7575f958d5a23653172f8d5008
Author: Ettore Di Giacinto <mudler@gentoo.org>
Date:   Thu Apr 20 14:51:21 2017 +0200

    dev-perl/HTML-Tree: bump version to 5.40.0 wrt bug #614800

    Upstream changes:
    - Remove Distzilla (fixes '.' in @INC)
    - Add POD to htmltree
    - Speed up is_inside method
    - Fix extra spaces being added to comments
    - Don't needlessly escape characters in element content

    Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=614800
    Package-Manager: Portage-2.3.3, Repoman-2.3.2
Comment 2 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2017-08-28 14:42:57 UTC
Old just dropped